#!/bin/bash
echo -e "$(tput setaf 10)\nInstall chia-miner service (hpool) :$(tput sgr0)"
sleep 1
cat <<'EOF'>> chia-miner.service
[Unit]
Description=HPool miner
After=network.target
StartLimitIntervalSec=500
StartLimitBurst=5
[Service]
Restart=on-failure
#RestartSec=5s
WorkingDirectory=/home/pi/h9/
User=pi
Group=adm
ExecStart=/usr/bin/screen -DmS hpool-miner /home/pi/h9/hpool-miner-chia -config /home/pi/h9/config.yaml
ExecStop=/usr/bin/screen -S hpool-miner -X quit

LimitNOFILE=999999
[Install]
WantedBy=multi-user.target
EOF
sudo mv chia-miner.service /etc/systemd/system/hpool-miner.service
sudo systemctl daemon-reload
sudo systemctl start hpool-miner.service
sudo systemctl enable hpool-miner.service
